Skip to content

DealerService⁠

Manage dealer record information.

Operations⁠

getDealer⁠

POST

Retrieves dealer information.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealer
POST /nexum/627/2022.01/dealer/getDealer HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerSelectFields⁠

POST

Retrieves dealers with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerSelectFields
POST /nexum/627/2022.01/dealer/getDealerSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerFields": true,
    "DealerFields": {
      "AchTranCodeOut": true,
      "Active": true,
      "AdjLS": true,
      "Balance": true,
      "BeginningBalLS": true,
      "Branch": true,
      "Buckets": [
        0
      ],
      "ChargeOffBalance": true,
      "ChargebackBalance": true,
      "ChargebackLS": true,
      "ChgOffLoanCount": true,
      "CloseDate": true,
      "DealerAvailBalance": true,
      "DealerTotalBalance": true,
      "FeesLS": true,
      "FmLastPurgeDate": true,
      "HoldbackLS": true,
      "LastDisbursalDate": true,
      "LastFmDate": true,
      "LastPurgeDate": true
    },
    "DealerCommentSelectableFields": {
      "IncludeAllDealerCommentFields": true,
      "DealerCommentFields": {
        "Comment": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Type": true
      }
    },
    "DealerFmHistorySelectableFields": {
      "IncludeAllDealerFmHistoryFields": true,
      "DealerFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "DealerNoteSelectableFields": {
      "IncludeAllDealerNoteFields": true,
      "DealerNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "DealerTrackingSelectableFields": {
      "IncludeAllDealerTrackingFields": true,
      "DealerTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "ReservePlanSelectableFields": {
      "IncludeAllReservePlanFields": true,
      "ReservePlanFields": {
        "Active": true,
        "Balance": true,
        "ChargeOffBalance": true,
        "ChargeOffDays": true,
        "ChargeOffLoanCount": true,
        "ChargeOffPmts": true,
        "ChargebackBalance": true,
        "ChargebackCoOption": true,
        "ChargebackPoOption": true,
        "CloseDate": true,
        "Description": true,
        "EarlyPayoffDays": true,
        "EarlyPayoffPmts": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "HoldbackAmount": true,
        "HoldbackBalance": true,
        "HoldbackBalanceLS": true,
        "HoldbackPercent": true,
        "Id": true
      },
      "ReservePlanLoanSelectableFields": {
        "IncludeAllReservePlanLoanFields": true,
        "ReservePlanLoanFields": {
          "AccountNumber": true,
          "AmortizedReserve": true,
          "BuyRate": true,
          "Chargeback": true,
          "CloseDate": true,
          "ContractRate": true,
          "DealerNumber": true,
          "EarnedReserve": true,
          "EffectiveRate": true,
          "LastFmDate": true,
          "LoanAmount": true,
          "LoanId": true,
          "Locator": true,
          "MemberFee": true,
          "Name": true,
          "OpenDate": true,
          "OriginalLoanDate": true,
          "PlanDescription": true,
          "PlanId": true,
          "PlanType": true
        }
      },
      "ReservePlanTrackingSelectableFields": {
        "IncludeAllReservePlanTrackingFields": true,
        "ReservePlanTrackingFields": {
          "CreationDate": true,
          "CreationTime": true,
          "ExpireDate": true,
          "FmLastDate": true
        }
      },
      "ReservePlanTransactionSelectableFields": null
    }
  },
  "nxAttributes": null
}

getDealerSelectFieldsFilterChildren⁠

POST

Retrieves dealers with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerSelectFieldsFilterChildren
POST /nexum/627/2022.01/dealer/getDealerSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerFields": true,
    "DealerFields": {
      "AchTranCodeOut": true,
      "Active": true,
      "AdjLS": true,
      "Balance": true,
      "BeginningBalLS": true,
      "Branch": true,
      "Buckets": [
        0
      ],
      "ChargeOffBalance": true,
      "ChargebackBalance": true,
      "ChargebackLS": true,
      "ChgOffLoanCount": true,
      "CloseDate": true,
      "DealerAvailBalance": true,
      "DealerTotalBalance": true,
      "FeesLS": true,
      "FmLastPurgeDate": true,
      "HoldbackLS": true,
      "LastDisbursalDate": true,
      "LastFmDate": true,
      "LastPurgeDate": true
    },
    "DealerCommentSelectableFields": {
      "IncludeAllDealerCommentFields": true,
      "DealerCommentFields": {
        "Comment": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Type": true
      }
    },
    "DealerFmHistorySelectableFields": {
      "IncludeAllDealerFmHistoryFields": true,
      "DealerFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "DealerNoteSelectableFields": {
      "IncludeAllDealerNoteFields": true,
      "DealerNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "DealerTrackingSelectableFields": {
      "IncludeAllDealerTrackingFields": true,
      "DealerTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "ReservePlanSelectableFields": {
      "IncludeAllReservePlanFields": true,
      "ReservePlanFields": {
        "Active": true,
        "Balance": true,
        "ChargeOffBalance": true,
        "ChargeOffDays": true,
        "ChargeOffLoanCount": true,
        "ChargeOffPmts": true,
        "ChargebackBalance": true,
        "ChargebackCoOption": true,
        "ChargebackPoOption": true,
        "CloseDate": true,
        "Description": true,
        "EarlyPayoffDays": true,
        "EarlyPayoffPmts": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "HoldbackAmount": true,
        "HoldbackBalance": true,
        "HoldbackBalanceLS": true,
        "HoldbackPercent": true,
        "Id": true
      },
      "ReservePlanLoanSelectableFields": {
        "IncludeAllReservePlanLoanFields": true,
        "ReservePlanLoanFields": {
          "AccountNumber": true,
          "AmortizedReserve": true,
          "BuyRate": true,
          "Chargeback": true,
          "CloseDate": true,
          "ContractRate": true,
          "DealerNumber": true,
          "EarnedReserve": true,
          "EffectiveRate": true,
          "LastFmDate": true,
          "LoanAmount": true,
          "LoanId": true,
          "Locator": true,
          "MemberFee": true,
          "Name": true,
          "OpenDate": true,
          "OriginalLoanDate": true,
          "PlanDescription": true,
          "PlanId": true,
          "PlanType": true
        }
      },
      "ReservePlanTrackingSelectableFields": {
        "IncludeAllReservePlanTrackingFields": true,
        "ReservePlanTrackingFields": {
          "CreationDate": true,
          "CreationTime": true,
          "ExpireDate": true,
          "FmLastDate": true
        }
      },
      "ReservePlanTransactionSelectableFields": null
    }
  },
  "ChildrenSearchFilter": null,
  "nxAttributes": null
}

getDealerComment⁠

POST

Retrieves dealer comments.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
DealerCommentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerComment
POST /nexum/627/2022.01/dealer/getDealerComment HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "DealerCommentLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerCommentSelectFields⁠

POST

Retrieves dealer comments with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
DealerCommentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerCommentSelectFields
POST /nexum/627/2022.01/dealer/getDealerCommentSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "DealerCommentLocator": 0,
  "SelectableFields": {
    "IncludeAllDealerCommentFields": true,
    "DealerCommentFields": {
      "Comment": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerCommentPagedList⁠

POST

Retrieves a paged list of dealer comments.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getDealerCommentPagedList
POST /nexum/627/2022.01/dealer/getDealerCommentPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerCommentListSelectFields⁠

POST

Retrieves a list of dealer comments with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerCommentListSelectFields
POST /nexum/627/2022.01/dealer/getDealerCommentListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerCommentFields": true,
    "DealerCommentFields": {
      "Comment": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDealerCommentSelectFields⁠

POST

Searches dealer comments with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchDealerCommentSelectFields
POST /nexum/627/2022.01/dealer/searchDealerCommentSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerCommentFields": true,
    "DealerCommentFields": {
      "Comment": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerCommentPagedListSelectFields⁠

POST

Retrieves a paged list of dealer comments with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getDealerCommentPagedListSelectFields
POST /nexum/627/2022.01/dealer/getDealerCommentPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDealerCommentFields": true,
    "DealerCommentFields": {
      "Comment": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDealerCommentPagedSelectFields⁠

POST

Searches dealer comments with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchDealerCommentPagedSelectFields
POST /nexum/627/2022.01/dealer/searchDealerCommentPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDealerCommentFields": true,
    "DealerCommentFields": {
      "Comment": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerFmHistoryPagedList⁠

POST

Retrieves a paged list of dealer FM history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getDealerFmHistoryPagedList
POST /nexum/627/2022.01/dealer/getDealerFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerFmHistoryListSelectFields⁠

POST

Retrieves a list of dealer FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerFmHistoryListSelectFields
POST /nexum/627/2022.01/dealer/getDealerFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerFmHistoryFields": true,
    "DealerFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDealerFmHistorySelectFields⁠

POST

Searches dealer FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchDealerFmHistorySelectFields
POST /nexum/627/2022.01/dealer/searchDealerFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerFmHistoryFields": true,
    "DealerFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerFmHistoryPagedListSelectFields⁠

POST

Retrieves a paged list of dealer FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getDealerFmHistoryPagedListSelectFields
POST /nexum/627/2022.01/dealer/getDealerFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDealerFmHistoryFields": true,
    "DealerFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDealerFmHistoryPagedSelectFields⁠

POST

Searches dealer FM history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchDealerFmHistoryPagedSelectFields
POST /nexum/627/2022.01/dealer/searchDealerFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDealerFmHistoryFields": true,
    "DealerFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerNote⁠

POST

Retrieves dealer notes.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
DealerNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerNote
POST /nexum/627/2022.01/dealer/getDealerNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "DealerNoteLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerNoteSelectFields⁠

POST

Retrieves dealer notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
DealerNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerNoteSelectFields
POST /nexum/627/2022.01/dealer/getDealerNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "DealerNoteLocator": 0,
  "SelectableFields": {
    "IncludeAllDealerNoteFields": true,
    "DealerNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerNotePagedList⁠

POST

Retrieves a paged list of dealer notes.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getDealerNotePagedList
POST /nexum/627/2022.01/dealer/getDealerNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerNoteListSelectFields⁠

POST

Retrieves a list of dealer notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerNoteListSelectFields
POST /nexum/627/2022.01/dealer/getDealerNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerNoteFields": true,
    "DealerNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDealerNoteSelectFields⁠

POST

Searches dealer notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchDealerNoteSelectFields
POST /nexum/627/2022.01/dealer/searchDealerNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerNoteFields": true,
    "DealerNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerNotePagedListSelectFields⁠

POST

Retrieves a paged list of dealer notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getDealerNotePagedListSelectFields
POST /nexum/627/2022.01/dealer/getDealerNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDealerNoteFields": true,
    "DealerNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDealerNotePagedSelectFields⁠

POST

Searches dealer notes with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchDealerNotePagedSelectFields
POST /nexum/627/2022.01/dealer/searchDealerNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDealerNoteFields": true,
    "DealerNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerTracking⁠

POST

Retrieves dealer tracking information.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
DealerTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerTracking
POST /nexum/627/2022.01/dealer/getDealerTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "DealerTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerTrackingSelectFields⁠

POST

Retrieves dealer tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
DealerTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerTrackingSelectFields
POST /nexum/627/2022.01/dealer/getDealerTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "DealerTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllDealerTrackingFields": true,
    "DealerTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerTrackingPagedList⁠

POST

Retrieves a paged list of dealer tracking information.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getDealerTrackingPagedList
POST /nexum/627/2022.01/dealer/getDealerTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerTrackingListSelectFields⁠

POST

Retrieves a list of dealer tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getDealerTrackingListSelectFields
POST /nexum/627/2022.01/dealer/getDealerTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerTrackingFields": true,
    "DealerTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDealerTrackingSelectFields⁠

POST

Searches dealer tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchDealerTrackingSelectFields
POST /nexum/627/2022.01/dealer/searchDealerTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllDealerTrackingFields": true,
    "DealerTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDealerTrackingPagedListSelectFields⁠

POST

Retrieves a paged list of dealer tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getDealerTrackingPagedListSelectFields
POST /nexum/627/2022.01/dealer/getDealerTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDealerTrackingFields": true,
    "DealerTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDealerTrackingPagedSelectFields⁠

POST

Searches dealer tracking information with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchDealerTrackingPagedSelectFields
POST /nexum/627/2022.01/dealer/searchDealerTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDealerTrackingFields": true,
    "DealerTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlan⁠

POST

Retrieves reserve plans.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlan
POST /nexum/627/2022.01/dealer/getReservePlan HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanSelectFields⁠

POST

Retrieves reserve plans with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanFields": true,
    "ReservePlanFields": {
      "Active": true,
      "Balance": true,
      "ChargeOffBalance": true,
      "ChargeOffDays": true,
      "ChargeOffLoanCount": true,
      "ChargeOffPmts": true,
      "ChargebackBalance": true,
      "ChargebackCoOption": true,
      "ChargebackPoOption": true,
      "CloseDate": true,
      "Description": true,
      "EarlyPayoffDays": true,
      "EarlyPayoffPmts": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "HoldbackAmount": true,
      "HoldbackBalance": true,
      "HoldbackBalanceLS": true,
      "HoldbackPercent": true,
      "Id": true
    },
    "ReservePlanLoanSelectableFields": {
      "IncludeAllReservePlanLoanFields": true,
      "ReservePlanLoanFields": {
        "AccountNumber": true,
        "AmortizedReserve": true,
        "BuyRate": true,
        "Chargeback": true,
        "CloseDate": true,
        "ContractRate": true,
        "DealerNumber": true,
        "EarnedReserve": true,
        "EffectiveRate": true,
        "LastFmDate": true,
        "LoanAmount": true,
        "LoanId": true,
        "Locator": true,
        "MemberFee": true,
        "Name": true,
        "OpenDate": true,
        "OriginalLoanDate": true,
        "PlanDescription": true,
        "PlanId": true,
        "PlanType": true
      }
    },
    "ReservePlanTrackingSelectableFields": {
      "IncludeAllReservePlanTrackingFields": true,
      "ReservePlanTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "ReservePlanTransactionSelectableFields": {
      "IncludeAllReservePlanTransactionFields": true,
      "ReservePlanTransactionFields": {
        "AccountNumber": true,
        "ActionCode": true,
        "ActivityDate": true,
        "AdjustmentCode": true,
        "BalanceChange": true,
        "BatchSequence": true,
        "Branch": true,
        "Comment": true,
        "CommentFlag": true,
        "ConsoleNumber": true,
        "DealerNumber": true,
        "Description": true,
        "EffectiveDate": true,
        "LoanId": true,
        "MemberBranch": true,
        "NewBalance": true,
        "ParticipantType": true,
        "PlanId": true,
        "PostDate": true,
        "PostTime": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanSelectFieldsFilterChildren⁠

POST

Retrieves reserve plans with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanSelectFieldsFilterChildren
POST /nexum/627/2022.01/dealer/getReservePlanSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanFields": true,
    "ReservePlanFields": {
      "Active": true,
      "Balance": true,
      "ChargeOffBalance": true,
      "ChargeOffDays": true,
      "ChargeOffLoanCount": true,
      "ChargeOffPmts": true,
      "ChargebackBalance": true,
      "ChargebackCoOption": true,
      "ChargebackPoOption": true,
      "CloseDate": true,
      "Description": true,
      "EarlyPayoffDays": true,
      "EarlyPayoffPmts": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "HoldbackAmount": true,
      "HoldbackBalance": true,
      "HoldbackBalanceLS": true,
      "HoldbackPercent": true,
      "Id": true
    },
    "ReservePlanLoanSelectableFields": {
      "IncludeAllReservePlanLoanFields": true,
      "ReservePlanLoanFields": {
        "AccountNumber": true,
        "AmortizedReserve": true,
        "BuyRate": true,
        "Chargeback": true,
        "CloseDate": true,
        "ContractRate": true,
        "DealerNumber": true,
        "EarnedReserve": true,
        "EffectiveRate": true,
        "LastFmDate": true,
        "LoanAmount": true,
        "LoanId": true,
        "Locator": true,
        "MemberFee": true,
        "Name": true,
        "OpenDate": true,
        "OriginalLoanDate": true,
        "PlanDescription": true,
        "PlanId": true,
        "PlanType": true
      }
    },
    "ReservePlanTrackingSelectableFields": {
      "IncludeAllReservePlanTrackingFields": true,
      "ReservePlanTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "ReservePlanTransactionSelectableFields": {
      "IncludeAllReservePlanTransactionFields": true,
      "ReservePlanTransactionFields": {
        "AccountNumber": true,
        "ActionCode": true,
        "ActivityDate": true,
        "AdjustmentCode": true,
        "BalanceChange": true,
        "BatchSequence": true,
        "Branch": true,
        "Comment": true,
        "CommentFlag": true,
        "ConsoleNumber": true,
        "DealerNumber": true,
        "Description": true,
        "EffectiveDate": true,
        "LoanId": true,
        "MemberBranch": true,
        "NewBalance": true,
        "ParticipantType": true,
        "PlanId": true,
        "PostDate": true,
        "PostTime": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "ReservePlanLoanFilter": {
      "Query": "string"
    },
    "ReservePlanTrackingFilter": {
      "Query": "string"
    },
    "ReservePlanTransactionFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanPagedList⁠

POST

Retrieves a paged list of reserve plans.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanPagedList
POST /nexum/627/2022.01/dealer/getReservePlanPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanListSelectFields⁠

POST

Retrieves a list of reserve plans with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllReservePlanFields": true,
    "ReservePlanFields": {
      "Active": true,
      "Balance": true,
      "ChargeOffBalance": true,
      "ChargeOffDays": true,
      "ChargeOffLoanCount": true,
      "ChargeOffPmts": true,
      "ChargebackBalance": true,
      "ChargebackCoOption": true,
      "ChargebackPoOption": true,
      "CloseDate": true,
      "Description": true,
      "EarlyPayoffDays": true,
      "EarlyPayoffPmts": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "HoldbackAmount": true,
      "HoldbackBalance": true,
      "HoldbackBalanceLS": true,
      "HoldbackPercent": true,
      "Id": true
    },
    "ReservePlanLoanSelectableFields": {
      "IncludeAllReservePlanLoanFields": true,
      "ReservePlanLoanFields": {
        "AccountNumber": true,
        "AmortizedReserve": true,
        "BuyRate": true,
        "Chargeback": true,
        "CloseDate": true,
        "ContractRate": true,
        "DealerNumber": true,
        "EarnedReserve": true,
        "EffectiveRate": true,
        "LastFmDate": true,
        "LoanAmount": true,
        "LoanId": true,
        "Locator": true,
        "MemberFee": true,
        "Name": true,
        "OpenDate": true,
        "OriginalLoanDate": true,
        "PlanDescription": true,
        "PlanId": true,
        "PlanType": true
      }
    },
    "ReservePlanTrackingSelectableFields": {
      "IncludeAllReservePlanTrackingFields": true,
      "ReservePlanTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "ReservePlanTransactionSelectableFields": {
      "IncludeAllReservePlanTransactionFields": true,
      "ReservePlanTransactionFields": {
        "AccountNumber": true,
        "ActionCode": true,
        "ActivityDate": true,
        "AdjustmentCode": true,
        "BalanceChange": true,
        "BatchSequence": true,
        "Branch": true,
        "Comment": true,
        "CommentFlag": true,
        "ConsoleNumber": true,
        "DealerNumber": true,
        "Description": true,
        "EffectiveDate": true,
        "LoanId": true,
        "MemberBranch": true,
        "NewBalance": true,
        "ParticipantType": true,
        "PlanId": true,
        "PostDate": true,
        "PostTime": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanSelectFields⁠

POST

Searches reserve plans with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchReservePlanSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "SelectableFields": {
    "IncludeAllReservePlanFields": true,
    "ReservePlanFields": {
      "Active": true,
      "Balance": true,
      "ChargeOffBalance": true,
      "ChargeOffDays": true,
      "ChargeOffLoanCount": true,
      "ChargeOffPmts": true,
      "ChargebackBalance": true,
      "ChargebackCoOption": true,
      "ChargebackPoOption": true,
      "CloseDate": true,
      "Description": true,
      "EarlyPayoffDays": true,
      "EarlyPayoffPmts": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "HoldbackAmount": true,
      "HoldbackBalance": true,
      "HoldbackBalanceLS": true,
      "HoldbackPercent": true,
      "Id": true
    },
    "ReservePlanLoanSelectableFields": {
      "IncludeAllReservePlanLoanFields": true,
      "ReservePlanLoanFields": {
        "AccountNumber": true,
        "AmortizedReserve": true,
        "BuyRate": true,
        "Chargeback": true,
        "CloseDate": true,
        "ContractRate": true,
        "DealerNumber": true,
        "EarnedReserve": true,
        "EffectiveRate": true,
        "LastFmDate": true,
        "LoanAmount": true,
        "LoanId": true,
        "Locator": true,
        "MemberFee": true,
        "Name": true,
        "OpenDate": true,
        "OriginalLoanDate": true,
        "PlanDescription": true,
        "PlanId": true,
        "PlanType": true
      }
    },
    "ReservePlanTrackingSelectableFields": {
      "IncludeAllReservePlanTrackingFields": true,
      "ReservePlanTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "ReservePlanTransactionSelectableFields": {
      "IncludeAllReservePlanTransactionFields": true,
      "ReservePlanTransactionFields": {
        "AccountNumber": true,
        "ActionCode": true,
        "ActivityDate": true,
        "AdjustmentCode": true,
        "BalanceChange": true,
        "BatchSequence": true,
        "Branch": true,
        "Comment": true,
        "CommentFlag": true,
        "ConsoleNumber": true,
        "DealerNumber": true,
        "Description": true,
        "EffectiveDate": true,
        "LoanId": true,
        "MemberBranch": true,
        "NewBalance": true,
        "ParticipantType": true,
        "PlanId": true,
        "PostDate": true,
        "PostTime": true
      }
    }
  },
  "SearchFilter": {
    "Query": "string",
    "ReservePlanChildrenFilter": {
      "ReservePlanLoanFilter": {
        "Query": "string"
      },
      "ReservePlanTrackingFilter": {
        "Query": "string"
      },
      "ReservePlanTransactionFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanPagedListSelectFields⁠

POST

Retrieves a paged list of reserve plans with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanPagedListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanFields": true,
    "ReservePlanFields": {
      "Active": true,
      "Balance": true,
      "ChargeOffBalance": true,
      "ChargeOffDays": true,
      "ChargeOffLoanCount": true,
      "ChargeOffPmts": true,
      "ChargebackBalance": true,
      "ChargebackCoOption": true,
      "ChargebackPoOption": true,
      "CloseDate": true,
      "Description": true,
      "EarlyPayoffDays": true,
      "EarlyPayoffPmts": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "HoldbackAmount": true,
      "HoldbackBalance": true,
      "HoldbackBalanceLS": true,
      "HoldbackPercent": true,
      "Id": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanPagedSelectFields⁠

POST

Searches reserve plans with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchReservePlanPagedSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanFields": true,
    "ReservePlanFields": {
      "Active": true,
      "Balance": true,
      "ChargeOffBalance": true,
      "ChargeOffDays": true,
      "ChargeOffLoanCount": true,
      "ChargeOffPmts": true,
      "ChargebackBalance": true,
      "ChargebackCoOption": true,
      "ChargebackPoOption": true,
      "CloseDate": true,
      "Description": true,
      "EarlyPayoffDays": true,
      "EarlyPayoffPmts": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "HoldbackAmount": true,
      "HoldbackBalance": true,
      "HoldbackBalanceLS": true,
      "HoldbackPercent": true,
      "Id": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanLoan⁠

POST

Retrieves reserve plan loans.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
ReservePlanLoanLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanLoan
POST /nexum/627/2022.01/dealer/getReservePlanLoan HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "ReservePlanLoanLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanLoanSelectFields⁠

POST

Retrieves reserve plan loans with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
ReservePlanLoanLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanLoanSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanLoanSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "ReservePlanLoanLocator": 0,
  "SelectableFields": {
    "IncludeAllReservePlanLoanFields": true,
    "ReservePlanLoanFields": {
      "AccountNumber": true,
      "AmortizedReserve": true,
      "BuyRate": true,
      "Chargeback": true,
      "CloseDate": true,
      "ContractRate": true,
      "DealerNumber": true,
      "EarnedReserve": true,
      "EffectiveRate": true,
      "LastFmDate": true,
      "LoanAmount": true,
      "LoanId": true,
      "Locator": true,
      "MemberFee": true,
      "Name": true,
      "OpenDate": true,
      "OriginalLoanDate": true,
      "PlanDescription": true,
      "PlanId": true,
      "PlanType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanLoanPagedList⁠

POST

Retrieves a paged list of reserve plan loans.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanLoanPagedList
POST /nexum/627/2022.01/dealer/getReservePlanLoanPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanLoanListSelectFields⁠

POST

Retrieves a list of reserve plan loans with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanLoanListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanLoanListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanLoanFields": true,
    "ReservePlanLoanFields": {
      "AccountNumber": true,
      "AmortizedReserve": true,
      "BuyRate": true,
      "Chargeback": true,
      "CloseDate": true,
      "ContractRate": true,
      "DealerNumber": true,
      "EarnedReserve": true,
      "EffectiveRate": true,
      "LastFmDate": true,
      "LoanAmount": true,
      "LoanId": true,
      "Locator": true,
      "MemberFee": true,
      "Name": true,
      "OpenDate": true,
      "OriginalLoanDate": true,
      "PlanDescription": true,
      "PlanId": true,
      "PlanType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanLoanSelectFields⁠

POST

Searches reserve plan loans with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchReservePlanLoanSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanLoanSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanLoanFields": true,
    "ReservePlanLoanFields": {
      "AccountNumber": true,
      "AmortizedReserve": true,
      "BuyRate": true,
      "Chargeback": true,
      "CloseDate": true,
      "ContractRate": true,
      "DealerNumber": true,
      "EarnedReserve": true,
      "EffectiveRate": true,
      "LastFmDate": true,
      "LoanAmount": true,
      "LoanId": true,
      "Locator": true,
      "MemberFee": true,
      "Name": true,
      "OpenDate": true,
      "OriginalLoanDate": true,
      "PlanDescription": true,
      "PlanId": true,
      "PlanType": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanLoanPagedListSelectFields⁠

POST

Retrieves a paged list of reserve plan loans with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanLoanPagedListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanLoanPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanLoanFields": true,
    "ReservePlanLoanFields": {
      "AccountNumber": true,
      "AmortizedReserve": true,
      "BuyRate": true,
      "Chargeback": true,
      "CloseDate": true,
      "ContractRate": true,
      "DealerNumber": true,
      "EarnedReserve": true,
      "EffectiveRate": true,
      "LastFmDate": true,
      "LoanAmount": true,
      "LoanId": true,
      "Locator": true,
      "MemberFee": true,
      "Name": true,
      "OpenDate": true,
      "OriginalLoanDate": true,
      "PlanDescription": true,
      "PlanId": true,
      "PlanType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanLoanPagedSelectFields⁠

POST

Searches reserve plan loans with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchReservePlanLoanPagedSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanLoanPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanLoanFields": true,
    "ReservePlanLoanFields": {
      "AccountNumber": true,
      "AmortizedReserve": true,
      "BuyRate": true,
      "Chargeback": true,
      "CloseDate": true,
      "ContractRate": true,
      "DealerNumber": true,
      "EarnedReserve": true,
      "EffectiveRate": true,
      "LastFmDate": true,
      "LoanAmount": true,
      "LoanId": true,
      "Locator": true,
      "MemberFee": true,
      "Name": true,
      "OpenDate": true,
      "OriginalLoanDate": true,
      "PlanDescription": true,
      "PlanId": true,
      "PlanType": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTracking⁠

POST

Retrieves reserve plan tracking information.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
ReservePlanTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanTracking
POST /nexum/627/2022.01/dealer/getReservePlanTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "ReservePlanTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTrackingSelectFields⁠

POST

Retrieves reserve plan tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
ReservePlanTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanTrackingSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "ReservePlanTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllReservePlanTrackingFields": true,
    "ReservePlanTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTrackingPagedList⁠

POST

Retrieves a paged list of reserve plan tracking information.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanTrackingPagedList
POST /nexum/627/2022.01/dealer/getReservePlanTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTrackingListSelectFields⁠

POST

Retrieves a list of reserve plan tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanTrackingListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanTrackingFields": true,
    "ReservePlanTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanTrackingSelectFields⁠

POST

Searches reserve plan tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchReservePlanTrackingSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanTrackingFields": true,
    "ReservePlanTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTrackingPagedListSelectFields⁠

POST

Retrieves a paged list of reserve plan tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanTrackingPagedListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanTrackingFields": true,
    "ReservePlanTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanTrackingPagedSelectFields⁠

POST

Searches reserve plan tracking information with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchReservePlanTrackingPagedSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanTrackingFields": true,
    "ReservePlanTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTransactionPagedList⁠

POST

Retrieves a paged list of reserve plan transactions.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanTransactionPagedList
POST /nexum/627/2022.01/dealer/getReservePlanTransactionPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTransactionListSelectFields⁠

POST

Retrieves a list of reserve plan transactions with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanTransactionListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanTransactionListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanTransactionFields": true,
    "ReservePlanTransactionFields": {
      "AccountNumber": true,
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentCode": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "DealerNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantType": true,
      "PlanId": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanTransactionSelectFields⁠

POST

Searches reserve plan transactions with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchReservePlanTransactionSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanTransactionSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanTransactionFields": true,
    "ReservePlanTransactionFields": {
      "AccountNumber": true,
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentCode": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "DealerNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantType": true,
      "PlanId": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTransactionPagedListSelectFields⁠

POST

Retrieves a paged list of reserve plan transactions with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanTransactionPagedListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanTransactionPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanTransactionFields": true,
    "ReservePlanTransactionFields": {
      "AccountNumber": true,
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentCode": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "DealerNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantType": true,
      "PlanId": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanTransactionPagedSelectFields⁠

POST

Searches reserve plan transactions with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchReservePlanTransactionPagedSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanTransactionPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanTransactionFields": true,
    "ReservePlanTransactionFields": {
      "AccountNumber": true,
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentCode": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "DealerNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantType": true,
      "PlanId": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}